import commonLogic from '@/locale/logic/common/common-logic';

function getLocaleResourceBase(){
	const data:any = {
	fields: {
		createdate: commonLogic.appcommonhandle("建立时间",null),
		content: commonLogic.appcommonhandle("项目内容",null),
		createman: commonLogic.appcommonhandle("建立人",null),
		ibizsample0015name: commonLogic.appcommonhandle("项目名称",null),
		sn: commonLogic.appcommonhandle("项目编号",null),
		updatedate: commonLogic.appcommonhandle("更新时间",null),
		updateman: commonLogic.appcommonhandle("更新人",null),
		ibizsample0015id: commonLogic.appcommonhandle("项目标识",null),
	},
		views: {
			pickupgridview: {
				caption: commonLogic.appcommonhandle("项目",null),
				title: commonLogic.appcommonhandle("项目选择表格视图",null),
			},
		},
		main_grid: {
			columns: {
				sn: commonLogic.appcommonhandle("项目编号",null),
				ibizsample0015name: commonLogic.appcommonhandle("项目名称",null),
				updateman: commonLogic.appcommonhandle("更新人",null),
				updatedate: commonLogic.appcommonhandle("更新时间",null),
			},
			nodata:commonLogic.appcommonhandle("",null),
			uiactions: {
			},
		},
		default_searchform: {
			details: {
				formpage1: commonLogic.appcommonhandle("",null), 
			},
			uiactions: {
			},
		},
	};
	return data;
}

export default getLocaleResourceBase;